import React from 'react'

export const IndividualStop = ({parada, handleClick, lastOne, textoInicial, lineas}) => {
    return (
        <li key={parada?.codeStop}>
            <div onClick={()=> handleClick({lng: parada?.longitude, lat: parada?.latitude, name: parada?.name})} className={`bullet pink ${!lastOne ? "path" : ""}`}></div>
            <div className="codParada">Cód. Parada: {parada?.codeStop}</div>
            <div className="desc">
            <h3>{parada?.name}</h3>
            <h4>
                <div className="textoLista">{textoInicial}</div>
                <div className="iconosLista">{lineas}</div>
            </h4></div>
        </li>
    )
}
