import { types } from '../types/types';

const initialState = {
    Origin: {},
    Destination: {}
};

export const nearestStopReducer = ( state = initialState, action ) => {

    switch ( action.type ) {
        
        case types.nearestOriginStopLoaded:
            return {
                ...state,
                Origin: action.payload
            };
        case types.nearestDestinationStopLoaded:
            return {
                ...state,
                Destination: action.payload
            };
        case types.nearestStopsReset:
            return initialState
        default:
            return state;
    }

}