import { types } from '../types/types';



const initialState = [];

export const searchReducer = ( state = initialState, action ) => {
    switch ( action.type ) {        
        case types.stopsSearchLoaded:{
            return [
                ...action.payload,
            ];            
        }
        case types.stopsSearchReset:{
            return action.payload;
        }  
        default:
            return state;
    }

}