const { response } = require('express');
const bcrypt = require('bcryptjs');
const User = require('../model/User');
 
const listUsers = async(req, res = response ) => {

    try {
        let users = await User.find({});

        res.status(201).json({
            ok: true,
            users
        })
        
    } catch (error) {
        console.log(error)
        res.status(500).json({
            ok: false,
            msg: 'Por favor hable con el administrador'
        });
    }
}


module.exports = {
    listUsers
}