const User = require('../model/User');

const emailExists = async( email = '' ) => {
    const existsEmail = await User.findOne({ email });
    if ( existsEmail ) {
        throw new Error(`El email: ${ email }, ya está registrado`);
    }
}

const userExistsById = async( id ) => {
    const userExits = await User.findById(id);
    if ( !userExists ) {
        throw new Error(`El id no existe ${ id }`);
    }
}

module.exports = {
    emailExists,
    userExistsById
}