import React from 'react'
import { IndividualStop } from './IndividualStop';

export const StopsLine = ({search, handleClick}) => {

    return (
                <div className="listaParadas" >
                    <ul>                    
                        {                            

                            search.map((parada, index, arraySearch) => {
                                let textoInicial = '';
                                let lastOne= false;                                
                                textoInicial = "Correspondencias con las líneas: ";
                                (index === arraySearch.length -1) && (lastOne = true);
                                                                
                                let lineas = parada?.details
                                    ?.map((g, index, arr) => {
                                      return  (g?.line ? <span key={index} className="white-text" style={{background: g.line.colorStart}}>{g.line.codeLine}<i className="material-icons">directions_bus</i></span> : '')
                                    }) 
                                    ?.reverse()         
                                return (
                                    <IndividualStop key={parada?.codeStop + 'id_unica'}
                                        parada={parada} 
                                        handleClick={handleClick} 
                                        lastOne={lastOne} 
                                        textoInicial={textoInicial} 
                                        lineas={lineas} 
                                    />
                                )
                                })
                        }
                    </ul>
                </div>
    )
}
