import { types } from '../types/types';

const initialState = {
    data: [],
    isDownloaded: false
}

export const favoritesReducer = ( state = initialState, action ) => {

    switch ( action.type ) {   
        case types.favoriteLineAdded:
            return {
                ...state,
                data: action.payload,
                isDownloaded: true
            }

        case types.favoriteLineRemoved:
            return {
                ...state,
                data: action.payload,
                isDownloaded: true
            }

        case types.favoritesLoaded:
                return {
                    ...state,
                    data: action.payload,
                    isDownloaded: true
                }
        default:
            return state;
    }

}