import { types } from '../types/types';

const initialState = {    
    edit: false,
    new: false,
    dataReady: false   
}

export const formReducer = ( state = initialState, action ) => {

    switch ( action.type ) {
        
        case types.formEditMode:
            return {                                
                edit: true,
                new: false,
                dataReady: false
            }

        case types.formNewMode:
            return {
                edit: false,
                new: true,
                dataReady: false          
            }
        case types.formCloseMode:
            return {
                edit: false,
                new: false,
                dataReady: false           
            }
        case types.formDataReady:
            return{
                ...state,
                dataReady: true
            }
        default:
            return state;
    }

}