import { types } from '../types/types';

const initialState = {
    isDownloaded: false,
};

export const lineReducer = ( state = initialState, action ) => {
    switch ( action.type ) {
        
        case types.lineLoaded:
            return {                
                ...action.payload,
                isDownloaded: true
            };
        case types.lineNotLoaded:
            return {    
                isDownloaded: false
            };                            
        default:
            return state;
    }
}