import { types } from '../types/types';

const initialState = {
    data: null,
    open: false    
}

export const modalReducer = ( state = initialState, action ) => {

    switch ( action.type ) {
        
        case types.modalOpen:
            return {                
                data: action.payload,
                open: true
            }

        case types.modalClose:
            return {
                data: null,
                open: false,                
            }
        default:
            return state;
    }

}