export const types = {
    authCheckingFinish: '[auth] Finish checking login state',
    authStartLogin: '[auth] Start login',
    authLogin: '[auth] Login',
    authStartRegister: '[auth] Start Register',
    authStartStartTokenRenew: '[auth] Start token renew',
    authLogout: '[auth] Logout',
    authFavoriteLineAdded: '[auth] Favorite added',    
    authFavoriteLineRemoved: '[auth] Favorite removed',
    authCheckingStart: '[auth] Starting checking',
    
    busesLoaded: '[bus] Buses loaded',
    busSaved: '[bus] Bus Saved',
    busEdited: '[bus] Bus Edited',
    busDeleted: '[bus] Bus Deleted',

    favoriteLineAdded: '[favorites] Favorite added',    
    favoriteLineRemoved: '[favorites] Favorite removed',
    favoritesLoaded: '[favorites] Favorites loaded',

    inSanlucarPosition: '[inSanlucar] inSanLucar True',
    notInSanlucarPosition: '[inSanlucar] inSanLucar false',

    stopsLoaded: '[stops] Stops loaded',
    stopSaved: '[stop] Stop Saved',
    stopEdited: '[stop] Stop Edited',
    stopDeleted: '[stop] Stop Deleted',

    routesLoaded: '[routes] Routes loaded',
    routeSaved: '[route] Route Saved',
    routeEdited: '[route] Route Edited',
    routeDeleted: '[route] Route Deleted',

    stopsSearchLoaded: '[search] Stops Search loaded',
    stopsSearchReset: '[search] Stops Searched reseted',

    walkingOriginPathLoaded: '[path] Walking Origin Path loaded',
    walkingDestinationPathLoaded: '[path] Walking Destination Path loaded',
    walkingPathResetDestination: '[path] Walking Reset Destination',
    walkingPathResetOrigin: '[path] Walking Reset Origin',        

    nearestOriginStopLoaded: '[nearestStop] Nearest Origin Stop Loading',
    nearestDestinationStopLoaded: '[nearestStop] Nearest Destination Stop Loading',
    nearestStopsReset: '[nearestStop] Nearest Origin & Destination Reseted',

    linesLoaded: '[lines] All lines loaded',
    linesNotLoaded: '[lines] Lines not loaded',
    lineLoaded: '[line] Individual line loaded',
    lineNotLoaded: '[line] Line not loaded',
    lineSaved: '[line] Line saved',
    lineEdited: '[line] Line edited',
    lineDeleted: '[line] Line deleted',

    notificationsLoaded: '[notifications] Notifications loaded',
    notificationsReset: '[notifications] Notifications reseted',
    notificationSaved: '[notification] Notification saved',
    notificationDeleted: '[notification] Notifications deleted',

    profileChanged: '[profile] Profile changed',

    modalOpen: '[modal] Modal Open',
    modalClose: '[modal] Modal Close',

    formEditMode: '[form] Form Mode Edition',
    formNewMode: '[form] Form New data Edition',
    formCloseMode: '[form] Form Closed',
    formDataReady: '[form] Form Data Ready',

    usersLoaded: '[user] Users loaded',
    userSaved: '[user] User Saved',
    userEdited: '[user] User Edited',
    userDeleted: '[user] User Deleted',
}