const mongoose = require('mongoose');

const notificationSchema = new mongoose.Schema({
    description: String,
    notificationType: String,
    codeLine: String,
    busServiceId: {
      type: mongoose.Schema.Types.ObjectId,
      refPath: 'notificationType',
      enum: ['Line', 'Bus']
    }
  },{timestamps: true})
 exports.Notification = mongoose.model('Notification', notificationSchema);