const mongoose = require('mongoose'); 

var RouteSchema = new mongoose.Schema({    
    description: {
        type: String
    },
    lines: [{
        type: mongoose.Schema.Types.ObjectId,
        ref: 'Line',
        required: false        
    }],
    path: {
        type: Array,
        required: true        
    }       
});

exports.Route = mongoose.model('Route', RouteSchema);